org.opencv.ximgproc

## Class EdgeBoxes

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.EdgeBoxes

-     public class EdgeBoxes
      extends Algorithm

  Class implementing EdgeBoxes algorithm from CITE: ZitnickECCV14edgeBoxes :

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EdgeBoxes(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdgeBoxes` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getAlpha()` Returns the step size of sliding window search.
    `float` | `getBeta()` Returns the nms threshold for object proposals.
    `void` | `getBoundingBoxes(Mat edge_map, Mat orientation_map, MatOfRect boxes)` Returns array containing proposal boxes.
    `void` | `getBoundingBoxes(Mat edge_map, Mat orientation_map, MatOfRect boxes, Mat scores)` Returns array containing proposal boxes.
    `float` | `getClusterMinMag()` Returns the cluster min magnitude.
    `float` | `getEdgeMergeThr()` Returns the edge merge threshold.
    `float` | `getEdgeMinMag()` Returns the edge min magnitude.
    `float` | `getEta()` Returns adaptation rate for nms threshold.
    `float` | `getGamma()` Returns the affinity sensitivity.
    `float` | `getKappa()` Returns the scale sensitivity.
    `float` | `getMaxAspectRatio()` Returns the max aspect ratio of boxes.
    `int` | `getMaxBoxes()` Returns the max number of boxes to detect.
    `float` | `getMinBoxArea()` Returns the minimum area of boxes.
    `float` | `getMinScore()` Returns the min score of boxes to detect.
    `void` | `setAlpha(float value)` Sets the step size of sliding window search.
    `void` | `setBeta(float value)` Sets the nms threshold for object proposals.
    `void` | `setClusterMinMag(float value)` Sets the cluster min magnitude.
    `void` | `setEdgeMergeThr(float value)` Sets the edge merge threshold.
    `void` | `setEdgeMinMag(float value)` Sets the edge min magnitude.
    `void` | `setEta(float value)` Sets the adaptation rate for nms threshold.
    `void` | `setGamma(float value)` Sets the affinity sensitivity
    `void` | `setKappa(float value)` Sets the scale sensitivity.
    `void` | `setMaxAspectRatio(float value)` Sets the max aspect ratio of boxes.
    `void` | `setMaxBoxes(int value)` Sets max number of boxes to detect.
    `void` | `setMinBoxArea(float value)` Sets the minimum area of boxes.
    `void` | `setMinScore(float value)` Sets the min score of boxes to detect.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeBoxes

          protected EdgeBoxes(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static EdgeBoxes __fromPtr__(long addr)

    - #### getAlpha

          public float getAlpha()

      Returns the step size of sliding window search.
      Returns:
        automatically generated

    - #### getBeta

          public float getBeta()

      Returns the nms threshold for object proposals.
      Returns:
        automatically generated

    - #### getClusterMinMag

          public float getClusterMinMag()

      Returns the cluster min magnitude.
      Returns:
        automatically generated

    - #### getEdgeMergeThr

          public float getEdgeMergeThr()

      Returns the edge merge threshold.
      Returns:
        automatically generated

    - #### getEdgeMinMag

          public float getEdgeMinMag()

      Returns the edge min magnitude.
      Returns:
        automatically generated

    - #### getEta

          public float getEta()

      Returns adaptation rate for nms threshold.
      Returns:
        automatically generated

    - #### getGamma

          public float getGamma()

      Returns the affinity sensitivity.
      Returns:
        automatically generated

    - #### getKappa

          public float getKappa()

      Returns the scale sensitivity.
      Returns:
        automatically generated

    - #### getMaxAspectRatio

          public float getMaxAspectRatio()

      Returns the max aspect ratio of boxes.
      Returns:
        automatically generated

    - #### getMinBoxArea

          public float getMinBoxArea()

      Returns the minimum area of boxes.
      Returns:
        automatically generated

    - #### getMinScore

          public float getMinScore()

      Returns the min score of boxes to detect.
      Returns:
        automatically generated

    - #### getMaxBoxes

          public int getMaxBoxes()

      Returns the max number of boxes to detect.
      Returns:
        automatically generated

    - #### getBoundingBoxes

          public void getBoundingBoxes(Mat edge_map,
                                       Mat orientation_map,
                                       MatOfRect boxes,
                                       Mat scores)

      Returns array containing proposal boxes.
      Parameters:
        `edge_map` - edge image.
        `orientation_map` - orientation map.
        `boxes` - proposal boxes.
        `scores` - of the proposal boxes, provided a vector of float types.

    - #### getBoundingBoxes

          public void getBoundingBoxes(Mat edge_map,
                                       Mat orientation_map,
                                       MatOfRect boxes)

      Returns array containing proposal boxes.
      Parameters:
        `edge_map` - edge image.
        `orientation_map` - orientation map.
        `boxes` - proposal boxes.

    - #### setAlpha

          public void setAlpha(float value)

      Sets the step size of sliding window search.
      Parameters:
        `value` - automatically generated

    - #### setBeta

          public void setBeta(float value)

      Sets the nms threshold for object proposals.
      Parameters:
        `value` - automatically generated

    - #### setClusterMinMag

          public void setClusterMinMag(float value)

      Sets the cluster min magnitude.
      Parameters:
        `value` - automatically generated

    - #### setEdgeMergeThr

          public void setEdgeMergeThr(float value)

      Sets the edge merge threshold.
      Parameters:
        `value` - automatically generated

    - #### setEdgeMinMag

          public void setEdgeMinMag(float value)

      Sets the edge min magnitude.
      Parameters:
        `value` - automatically generated

    - #### setEta

          public void setEta(float value)

      Sets the adaptation rate for nms threshold.
      Parameters:
        `value` - automatically generated

    - #### setGamma

          public void setGamma(float value)

      Sets the affinity sensitivity
      Parameters:
        `value` - automatically generated

    - #### setKappa

          public void setKappa(float value)

      Sets the scale sensitivity.
      Parameters:
        `value` - automatically generated

    - #### setMaxAspectRatio

          public void setMaxAspectRatio(float value)

      Sets the max aspect ratio of boxes.
      Parameters:
        `value` - automatically generated

    - #### setMaxBoxes

          public void setMaxBoxes(int value)

      Sets max number of boxes to detect.
      Parameters:
        `value` - automatically generated

    - #### setMinBoxArea

          public void setMinBoxArea(float value)

      Sets the minimum area of boxes.
      Parameters:
        `value` - automatically generated

    - #### setMinScore

          public void setMinScore(float value)

      Sets the min score of boxes to detect.
      Parameters:
        `value` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7